PDA

View Full Version : OffTopic: 3ds Max plugin error



KuriousOrange
12-26-2002, 01:37 PM
Sorry to bring this up here, but maybe some of you fellow programmers have come across something like this.
I'm trying to write an exporter plugin for 3dsMax5.
I'm using the sample 3ds exporter that comes with the max sdk as a template.
Problem is, I've compiled and linked my own dle plugin, but when max tries to load it, it complains with the following message box:
"DLL <D:\3dsmax5\plugins\MaxToMe.dle> doesn't implement LibVersion function"

Now, I most certainly have implemented the LibVersion function, and exported it, so why would I be getting this error?

__declspec( dllexport ) ULONG LibVersion()
{
return VERSION_3DSMAX;
}

As I say, sorry for it being offtopic, but I guess OpenGL programmers will have written exporter plugins for max, so it's worth a shot...

KuriousOrange
12-26-2002, 02:35 PM
It's ok, after a fair few hours of research, I discovered that max plugins absolutely *must* use .def files to export symbols. Don't know why, because I've never had to use them in my own DLL's.
I added this .def file to my project, and it works fine now:




LIBRARY MaxToMe
EXPORTS
LibDescription @1
LibNumberClasses @2
LibClassDesc @3
LibVersion @4
CanAutoDefer @5
SECTIONS
.data READ WRITE


Thanks for your attention, and once again, sorry for bothering you.